View Issue Details

IDProjectCategoryLast Update
0021215AI War 2[All Projects] Crash/ExceptionMay 17, 2019 10:22 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.860 The Lobby Ate My Factions?? 
Fixed in VersionBETA 0.861 Strength Of Remains 
Summary0021215: Game broke when I pressed start
DescriptionI put the Macrophage on intensity 10 (friendly to player), with 2 AI's (civil war and friendly AI enabled). I then changed the map to X with 30 planets. I pressed start and immediately got an error about there not being enough space for the macrophage teliums,

Can't provide a save game because the menus wouldn't show up. I had to tab out and close window.

Debug log starts at 5/16/2019 7:07:14 PM

Engine log starts at 5/16/2019 7:07:23 PM (0.860)
TagsNo tags attached.

Relationships

child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

Ovalcircle

May 16, 2019 7:17 pm

reporter  

ArcenDebugLog.txt (17,135 bytes)
5/15/2019 6:50:52 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
5/15/2019 6:50:52 PM	No resolution change was required.
5/15/2019 6:50:52 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
5/15/2019 6:50:52 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
5/15/2019 6:51:28 PM	ArcenAssetBundleCache.InstantiatedObjects: 751
5/15/2019 6:51:29 PM	Game Version: 0.859
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
5/15/2019 6:51:29 PM	38.0 seconds total load time.

SetDirectoriesToBeUsed (0.3s)
LoadFinalSFXStuff (14.1s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (1.6s)
ExternalConstants (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.5s)
SpaceboxDefinitionTable (3.2s)
PlanetDefinitionTable (1.8s)
GameEntityTypeDataTable.Initialize (3.7s)
GameEntityTypeDataTable.InitVisualBits (6.4s)
SurrogateTableTable (1.1s)
5/15/2019 6:51:30 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0 

5/15/2019 6:51:34 PM	Start Generate Partial Map withSnake and seed 498051585 and 11 factions
5/15/2019 6:51:34 PM	World Created, Launching Server
5/15/2019 6:51:34 PM	Successfully opened host socket
5/15/2019 6:51:43 PM	Start Generate FULL Map withSnake and seed 498051585 and 12 factions
5/15/2019 6:51:44 PM	Generate FULL Map Complete
5/15/2019 6:51:53 PM	Start Generate Partial Map withSnake and seed 498051585 and 11 factions
5/15/2019 6:51:53 PM	World Created, Launching Server
5/15/2019 6:52:16 PM	Start Generate FULL Map withSnake and seed 498051585 and 12 factions
5/15/2019 6:52:17 PM	Generate FULL Map Complete
5/15/2019 6:52:23 PM	Start Generate Partial Map withSnake and seed 498051585 and 11 factions
5/15/2019 6:52:23 PM	World Created, Launching Server
5/15/2019 6:52:30 PM	Start Generate FULL Map withSnake and seed 498051585 and 12 factions
5/15/2019 6:52:30 PM	Generate FULL Map Complete
5/15/2019 6:52:38 PM	Start Generate Partial Map withSnake and seed 498051585 and 11 factions
5/15/2019 6:52:38 PM	World Created, Launching Server
5/15/2019 6:53:07 PM	Start Generate FULL Map withSnake and seed 498051585 and 12 factions
5/15/2019 6:53:07 PM	Generate FULL Map Complete
5/15/2019 6:53:09 PM	First antagonizer spawn at 3628
5/15/2019 6:57:58 PM	PLAYER DISCONNECTED 0.0.0.0=>0
5/15/2019 6:57:59 PM	Successfully opened host socket
5/15/2019 6:58:12 PM	PLAYER DISCONNECTED 0.0.0.0=>0
5/15/2019 6:58:30 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
5/15/2019 6:58:30 PM	No resolution change was required.
5/15/2019 6:58:30 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
5/15/2019 6:58:30 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
5/15/2019 6:58:50 PM	ArcenAssetBundleCache.InstantiatedObjects: 751
5/15/2019 6:58:51 PM	Game Version: 0.859
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
5/15/2019 6:58:51 PM	21.3 seconds total load time.

SetDirectoriesToBeUsed (0.3s)
Language.Initialize (0.3s)
ExternalCoreConstants (0.4s)
LoadFinalSFXStuff (10.2s)
ExternalIconDictionaryTable (0.3s)
SpaceboxDefinitionTable (0.5s)
PlanetDefinitionTable (0.4s)
GameEntityTypeDataTable.Initialize (1.1s)
GameEntityTypeDataTable.InitVisualBits (3.4s)
SurrogateTableTable (1.0s)
5/15/2019 6:58:51 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0 
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0 

5/15/2019 6:58:59 PM	Successfully opened host socket
5/15/2019 7:00:00 PM	PLAYER DISCONNECTED 0.0.0.0=>0
5/16/2019 7:01:21 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
5/16/2019 7:01:22 PM	No resolution change was required.
5/16/2019 7:01:22 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
5/16/2019 7:01:22 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
5/16/2019 7:02:11 PM	ArcenAssetBundleCache.InstantiatedObjects: 751
5/16/2019 7:02:12 PM	Game Version: 0.860
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
5/16/2019 7:02:12 PM	52.3 seconds total load time.

SetDirectoriesToBeUsed (0.5s)
Language.Initialize (1.1s)
ExternalCoreConstants (0.5s)
LoadFinalSFXStuff (13.5s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (1.9s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
ExternalConstants (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.5s)
SpaceboxDefinitionTable (3.2s)
PlanetDefinitionTable (1.9s)
GameEntityTypeDataTable.Initialize (4.4s)
GameEntityTypeDataTable.InitVisualBits (18.4s)
SurrogateTableTable (1.4s)
5/16/2019 7:02:14 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0 

5/16/2019 7:02:59 PM	Start Generate Partial Map with Snake and seed 498051585 and 11 factions
5/16/2019 7:02:59 PM	World Created, Launching Server
5/16/2019 7:03:00 PM	Successfully opened host socket
5/16/2019 7:03:53 PM	Start Generate Partial Map with Snake and seed 498051585 and 11 factions
5/16/2019 7:03:53 PM	World Created, Launching Server
5/16/2019 7:04:07 PM	No resolution change was required.
5/16/2019 7:04:07 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
5/16/2019 7:04:07 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
5/16/2019 7:04:08 PM	Start Generate Partial Map with Snake and seed 498051585 and 14 factions
5/16/2019 7:04:08 PM	World Created, Launching Server
5/16/2019 7:06:24 PM	Start Generate Partial Map with Octopus and seed 498051585 and 15 factions
5/16/2019 7:06:24 PM	Generate Partial Map Complete
5/16/2019 7:06:27 PM	Start Generate Partial Map with Octopus and seed 498051585 and 15 factions
5/16/2019 7:06:27 PM	Generate Partial Map Complete
5/16/2019 7:06:31 PM	Start Generate Partial Map with X and seed 498051585 and 15 factions
5/16/2019 7:06:32 PM	Generate Partial Map Complete
5/16/2019 7:06:37 PM	Start Generate Partial Map with X and seed 498051585 and 15 factions
5/16/2019 7:06:37 PM	Generate Partial Map Complete
5/16/2019 7:06:41 PM	Start Generate Partial Map with X and seed 498051585 and 15 factions
5/16/2019 7:06:41 PM	Generate Partial Map Complete
5/16/2019 7:07:14 PM	Start Generate FULL Map with X and seed 498051585 and 15 factions
5/16/2019 7:07:14 PM	Failed to find planet to seed tag '' / SpecialEntityType 'MobileOfficerCombatFleetFlagship'
Count=4
GalaxyPlanetCount=30
AIHomeworldCount=2
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=27
PlanetsBlockedBy:=Rejuvenator Combat Factory, , , , , , , , , , , , , , , , , , , , , , , , , , 
5/16/2019 7:07:14 PM	Failed to find planet to seed tag 'SpecialForcesSecretNinjaHideout' / SpecialEntityType 'None'
Count=4
GalaxyPlanetCount=30
AIHomeworldCount=2
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=27
PlanetsBlockedBy:=Rejuvenator Combat Factory, , , , , , , , , , , , , , , , , , , , , , , , , , 
5/16/2019 7:07:14 PM	Failed to find planet to seed tag 'SpecialForcesSecretNinjaHideout' / SpecialEntityType 'None'
Count=4
GalaxyPlanetCount=30
AIHomeworldCount=2
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=27
PlanetsBlockedBy:=Rejuvenator Combat Factory, , , , , , , , , , , , , , , , , , , , , , , , , , 
5/16/2019 7:07:14 PM	Failed to find planet to seed tag 'MacrophageTelium' / SpecialEntityType 'None'
Count=10
GalaxyPlanetCount=30
AIHomeworldCount=2
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=27
PlanetsBlockedBy:=Rejuvenator Combat Factory, , , , , , , , , , , , , , , , , , , , , , , , , , 
5/16/2019 7:07:14 PM	Generate FULL Map Complete
5/16/2019 7:07:23 PM
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.UpdatePositionAndSize () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.OnMainThreadUpdate () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.Universal.ArcenUI_Element.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI_Window.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <b06752e977d341a39f6f1489b403d9bc>:0)
ArcenGameController.Update () (at <03f6f117f10f4b26a85c658813aeb19b>:0)



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <ca1d1fd848884ed5a84a515243f09e15>:0 

5/16/2019 7:07:23 PM
ErrorsReportedByEngine:    -----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.UpdatePositionAndSize () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.OnMainThreadUpdate () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.Universal.ArcenUI_Element.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI_Window.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <b06752e977d341a39f6f1489b403d9bc>:0)
ArcenGameController.Update () (at <03f6f117f10f4b26a85c658813aeb19b>:0)



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <b06752e977d341a39f6f1489b403d9bc>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <ca1d1fd848884ed5a84a515243f09e15>:0 

5/16/2019 7:08:20 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (17,135 bytes)
20190516190728_1.jpg (114,899 bytes)
20190516190728_1.jpg (114,899 bytes)
ErrorsReportedByEngine.txt (35,468 bytes)
9/29/2018 12:28:28 AM (0.776) Mem: 299,622,400 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.PrivateVisExtensions.DirectTopDownCam.RecalculateSecondaryData () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.PrivateVisExtensions.StrategyCamBase.RunUpdate () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.Core.CameraLogicWrapper.Update () (at <3d6423240d424725bc3d59c2917608d4>:0)



12/19/2018 3:57:24 PM (0.809) Mem: 447,447,040 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException
Stack Trace: UnityEngine.EventSystems.UIBehaviour.IsActive () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
TMPro.TMP_ArcenDropdown.Hide () (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) (at <371fc104c94a4724860239623ea95520>:0)
UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.set_isOn (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.InternalToggle () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



12/19/2018 11:53:30 PM (0.809) Mem: 408,002,560 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException
Stack Trace: UnityEngine.EventSystems.UIBehaviour.IsActive () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
TMPro.TMP_ArcenDropdown.Hide () (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) (at <371fc104c94a4724860239623ea95520>:0)
UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.set_isOn (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.InternalToggle () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



2/27/2019 9:56:12 PM (0.815) Mem: 432,558,080 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
ReloadExternalDefinitions: This messes a bunch of stuff up, so restart the application when you're done fiddling with positions.
Stack Trace: 


2/27/2019 9:56:23 PM (0.815) Mem: 357,601,280 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarShips
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBasePool.CreateButton () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBasePool..ctor (Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconImageBase Original, Arcen.AIW2.External.Window_InGameSidebarShips+ShipIconFactionType FactionType, System.Int32 MinEntries) [0x0005b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+customParent.OnUpdate () [0x000a0] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:23 PM (0.815) Mem: 357,904,384 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarShips
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.RectTransform.set_anchoredPosition_Injected(UnityEngine.RectTransform,UnityEngine.Vector2&)
  at UnityEngine.RectTransform.set_anchoredPosition (UnityEngine.Vector2 value) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+customParent.ApplyShipsInGrid (System.Single& currentY, System.Collections.Generic.List`1[T] ships) [0x00044] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarShips+customParent.OnUpdate () [0x002a5] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:25 PM (0.815) Mem: 362,803,200 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_NotificationsDisplay
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ImageButtonAbstractBase.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.ImageButtonAbstractBase+ImageButtonPool`1[T].GetOrAddEntry () [0x0004b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.ImageButtonAbstractBase+ImageButtonPool`1[T]..ctor (Arcen.AIW2.External.Window_NotificationsDisplay+btnNotification Original, System.Int32 MinEntries) [0x00032] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_NotificationsDisplay+customParent.OnUpdate () [0x0002a] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:25 PM (0.815) Mem: 363,429,888 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarDocks
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDocks+Constructor.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T].GetOrAddEntry () [0x0004b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T]..ctor (Arcen.AIW2.External.Window_InGameSidebarDocks+Constructor Original, System.Int32 MinEntries) [0x00043] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDocks+customParent.OnUpdate () [0x000aa] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:25 PM (0.815) Mem: 363,683,840 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarDocks
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_InGameSidebarDocks+customParent.OnUpdateBuildConstructors (System.Single& currentY) [0x00007] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDocks+customParent.OnUpdate () [0x000be] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:41 PM (0.815) Mem: 431,964,160 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarDirectBuild
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDirectBuild+DirectPlacementCategory.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T].GetOrAddEntry () [0x0004b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T]..ctor (Arcen.AIW2.External.Window_InGameSidebarDirectBuild+DirectPlacementCategory Original, System.Int32 MinEntries) [0x00043] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDirectBuild+customParent.OnUpdate () [0x0008c] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:41 PM (0.815) Mem: 432,394,240 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarDirectBuild
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_InGameSidebarDirectBuild+customParent.OnUpdateDirectPlacement (System.Single& currentY) [0x0000e] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarDirectBuild+customParent.OnUpdate () [0x000a0] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:42 PM (0.815) Mem: 434,110,464 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarScience
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarScience+ScienceCategory.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T].GetOrAddEntry () [0x0004b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.PoolableGUIGroup+GroupPool`1[T]..ctor (Arcen.AIW2.External.Window_InGameSidebarScience+ScienceCategory Original, System.Int32 MinEntries) [0x00043] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarScience+customParent.OnUpdate () [0x0008c] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:42 PM (0.815) Mem: 434,520,064 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SidebarScience
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_InGameSidebarScience+customParent.OnUpdateScience (System.Single& currentY) [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_InGameSidebarScience+customParent.OnUpdate () [0x000a0] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:46 PM (0.815) Mem: 451,641,344 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SaveGameMenu
System.NullReferenceException
  at (wrapper managed-to-native) UnityEngine.Component.get_gameObject(UnityEngine.Component)
  at Arcen.Universal.ArcenUI_Element.DuplicateSelf () [0x00001] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.DuplicateSelf () [0x00001] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.ButtonAbstractBase+ButtonPool`1[T].GetOrAddEntry () [0x0004b] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.ButtonAbstractBase+ButtonPool`1[T]..ctor (Arcen.AIW2.External.Window_SaveGameMenu+bSavegame Original, System.Int32 MinEntries) [0x00032] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_SaveGameMenu+customParent.OnUpdate () [0x0002a] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



2/27/2019 9:56:46 PM (0.815) Mem: 452,083,712 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Exception: window: Window_SaveGameMenu
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.Window_SaveGameMenu+customParent.OnUpdateSavegames () [0x00017] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.AIW2.External.Window_SaveGameMenu+customParent.OnUpdate () [0x0003e] in <b7740a0ecacd40ffbc017b4e8c87ff33>:0 
  at Arcen.Universal.ArcenUI_CustomUI.OnUpdate_Subclass (System.Single DeltaTime) [0x0004c] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (System.Single DeltaTime) [0x000c9] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdate (System.Single DeltaTime) [0x000ee] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00074] in <dda8ad716f5442f79aa5f5d7631c1b1f>:0 
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <dda8ad716f5442f79aa5f5d7631c1b1f>:0)
ArcenGameController.Update () (at <2e2dcd579b104a688d65707e5c206ad7>:0)



3/20/2019 3:06:34 PM (0.816) Mem: 323,403,776 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.Core.World_AIW2.HandleLocalWorldStart () (at <877f4bd68167451aba77468fda86b119>:0)
Arcen.Universal.World.HandleLocalWorldStart () (at <0d416be7a59e4abd8ea347e12f86a620>:0)
Arcen.Universal.Engine_Universal.LoadGame (System.String SaveName, System.String CampaignName, System.Boolean LoadAsTemplate) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
Arcen.AIW2.External.Window_LoadGameMenu+bSavegame.HandleClick_Subclass (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) (at <55e5f0c4133b4c4088ada74d014fbc2f>:0)
Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <0d416be7a59e4abd8ea347e12f86a620>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



4/19/2019 11:24:25 PM (0.851) Mem: 275,234,816 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
DirectoryNotFoundException: Could not find a part of the path 'C:\Program Files (x86)\Steam\steamapps\common\AI War 2\PlayerData\Save\13 3AI Dark nano MAR'.
Stack Trace: System.IO.__Error.WinIOError (System.Int32 errorCode, System.String maybeFullPath) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.FileSystemEnumerableIterator`1[TSource].HandleError (System.Int32 hr, System.String path) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.FileSystemEnumerableIterator`1[TSource].CommonInit () (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.FileSystemEnumerableIterator`1[TSource]..ctor (System.String path, System.String originalUserPath, System.String searchPattern, System.IO.SearchOption searchOption, System.IO.SearchResultHandler`1[TSource] resultHandler, System.Boolean checkHost) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.FileSystemEnumerableFactory.CreateFileNameIterator (System.String path, System.String originalUserPath, System.String searchPattern, System.Boolean includeFiles, System.Boolean includeDirs, System.IO.SearchOption searchOption, System.Boolean checkHost) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.Directory.InternalGetFileDirectoryNames (System.String path, System.String userPathOriginal, System.String searchPattern, System.Boolean includeFiles, System.Boolean includeDirs, System.IO.SearchOption searchOption, System.Boolean checkHost) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.Directory.InternalGetDirectories (System.String path, System.String searchPattern, System.IO.SearchOption searchOption) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.Directory.GetDirectories (System.String path) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.Directory.RecursiveDelete (System.String path) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
System.IO.Directory.Delete (System.String path, System.Boolean recursive) (at <f826c2584fc94ec19a48a6576640bdc5>:0)
Arcen.Universal.World.DeleteCampaign (System.String CampaignName) (at <d02fa841ce63489da0da18468ec9037f>:0)
Arcen.AIW2.External.Window_LoadGameMenu+bDeleteCampaign.deleteCampaign () (at <cac09a15cc624a9ca16165c2997efc14>:0)
Arcen.AIW2.External.Window_ModalYesNo+bYes.HandleClick_Subclass (MouseHandlingInput input) (at <cac09a15cc624a9ca16165c2997efc14>:0)
Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) (at <cac09a15cc624a9ca16165c2997efc14>:0)
Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) (at <d02fa841ce63489da0da18468ec9037f>:0)
Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <d02fa841ce63489da0da18468ec9037f>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



1/1/0001 12:00:00 AM (0.854) Mem: 267,022,336 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
EntryPointNotFoundException: SteamAPI_ISteamInventory_RequestPrices
Stack Trace: SteamNative.Platform+Win64.ISteamInventory_RequestPrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
SteamNative.SteamInventory.RequestPrices (System.Action`2[T1,T2] CallbackFunction) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory.UpdatePrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory..ctor (Facepunch.Steamworks.BaseSteamworks steamworks, SteamNative.SteamInventory c, System.Boolean server) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.BaseSteamworks.SetupCommonInterfaces () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Client..ctor (System.UInt32 appId) (at <11551ab82ebc4163b966c491e518b5f8>:0)
ArcenGameController.Update () (at <8337b43a514a4f628fb7fe6fefe74b85>:0)



1/1/0001 12:00:00 AM (0.854) Mem: 266,854,400 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
EntryPointNotFoundException: SteamAPI_ISteamInventory_RequestPrices
Stack Trace: SteamNative.Platform+Win64.ISteamInventory_RequestPrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
SteamNative.SteamInventory.RequestPrices (System.Action`2[T1,T2] CallbackFunction) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory.UpdatePrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory..ctor (Facepunch.Steamworks.BaseSteamworks steamworks, SteamNative.SteamInventory c, System.Boolean server) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.BaseSteamworks.SetupCommonInterfaces () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Client..ctor (System.UInt32 appId) (at <11551ab82ebc4163b966c491e518b5f8>:0)
ArcenGameController.Update () (at <8337b43a514a4f628fb7fe6fefe74b85>:0)



1/1/0001 12:00:00 AM (0.854) Mem: 266,629,120 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
EntryPointNotFoundException: SteamAPI_ISteamInventory_RequestPrices
Stack Trace: SteamNative.Platform+Win64.ISteamInventory_RequestPrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
SteamNative.SteamInventory.RequestPrices (System.Action`2[T1,T2] CallbackFunction) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory.UpdatePrices () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Inventory..ctor (Facepunch.Steamworks.BaseSteamworks steamworks, SteamNative.SteamInventory c, System.Boolean server) (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.BaseSteamworks.SetupCommonInterfaces () (at <11551ab82ebc4163b966c491e518b5f8>:0)
Facepunch.Steamworks.Client..ctor (System.UInt32 appId) (at <11551ab82ebc4163b966c491e518b5f8>:0)
ArcenGameController.Update () (at <8337b43a514a4f628fb7fe6fefe74b85>:0)



5/9/2019 11:37:44 PM (0.858) Mem: 384,712,704 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
DirectoryNotFoundException: Could not find a part of the path 'C:\Program Files (x86)\Steam\steamapps\common\AI War 2\PlayerData\Save\AI Civil War 10v5'.
Stack Trace: System.IO.__Error.WinIOError (System.Int32 errorCode, System.String maybeFullPath) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.FileSystemEnumerableIterator`1[TSource].HandleError (System.Int32 hr, System.String path) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.FileSystemEnumerableIterator`1[TSource].CommonInit () (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.FileSystemEnumerableIterator`1[TSource]..ctor (System.String path, System.String originalUserPath, System.String searchPattern, System.IO.SearchOption searchOption, System.IO.SearchResultHandler`1[TSource] resultHandler, System.Boolean checkHost) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.FileSystemEnumerableFactory.CreateFileNameIterator (System.String path, System.String originalUserPath, System.String searchPattern, System.Boolean includeFiles, System.Boolean includeDirs, System.IO.SearchOption searchOption, System.Boolean checkHost) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.Directory.InternalGetFileDirectoryNames (System.String path, System.String userPathOriginal, System.String searchPattern, System.Boolean includeFiles, System.Boolean includeDirs, System.IO.SearchOption searchOption, System.Boolean checkHost) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.Directory.InternalGetDirectories (System.String path, System.String searchPattern, System.IO.SearchOption searchOption) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.Directory.GetDirectories (System.String path) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.Directory.RecursiveDelete (System.String path) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.IO.Directory.Delete (System.String path, System.Boolean recursive) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
Arcen.Universal.World.DeleteCampaign (System.String CampaignName) (at <3def77f351aa49cea6d87786b7e9cd17>:0)
Arcen.AIW2.External.Window_LoadGameMenu+bDeleteCampaign.deleteCampaign () (at <cc09f054978f4428be6e7232616c4825>:0)
Arcen.AIW2.External.Window_ModalYesNo+bYes.HandleClick_Subclass (MouseHandlingInput input) (at <cc09f054978f4428be6e7232616c4825>:0)
Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) (at <cc09f054978f4428be6e7232616c4825>:0)
Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) (at <3def77f351aa49cea6d87786b7e9cd17>:0)
Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <3def77f351aa49cea6d87786b7e9cd17>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <663e07a619274479b91ed0e20e89045c>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <663e07a619274479b91ed0e20e89045c>:0)
UnityEngine.EventSystems.EventSystem:Update()



5/16/2019 7:07:23 PM (0.860) Mem: 379,752,448 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.UpdatePositionAndSize () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.AIW2.External.Window_InGameHoverPlanetInfo+bPanel.OnMainThreadUpdate () (at <16b5adaf793943b7a80d6fc2c81756aa>:0)
Arcen.Universal.ArcenUI_Element.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI_Window.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.ArcenUI.OnMainThreadUpdate () (at <b06752e977d341a39f6f1489b403d9bc>:0)
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () (at <b06752e977d341a39f6f1489b403d9bc>:0)
ArcenGameController.Update () (at <03f6f117f10f4b26a85c658813aeb19b>:0)



Ovalcircle

May 16, 2019 7:25 pm

reporter   ~0051639

I tested it again and it *is* due to there not being enough space for the teliums. Since the map doesn't regenerate after clicking each option, you'd never know that 10 telium can't fit on a 30 planet map. Honestly, I liked it better when it regenerated while in the lobby because it would throw an error and then I could just click "ignore" every time and keep increasing the planets until it fit, rather than setting everything up, only to have the time wasted when the game breaks because "there wasn't enough space."

BadgerBadger

May 16, 2019 11:10 pm

manager   ~0051641

Chris, I think part of the lobby rework needs to be capping intensity/number of factions and so on based on the size of the Map. If you turn on enough minor factions on a small enough map then it will definitely have problems.

x4000Bughunter

May 17, 2019 8:56 pm

administrator   ~0051675

So, a couple of thoughts, just in general, after reading this:

1. As a general rule, I don't really think that anything less than 60ish... maybe even 80ish planets... ought to be allowed for the game. It was something that we allowed in the first game for a variety of reasons, but it changes things so extremely that basically balance is completely out the window. That alone ought to help some things.

I'm open to discussion on this, but it's something I've thought for quite a while.

2. Secondarily, I feel like if there is not enough room for something like this, then it needs to have a fallback plan rather than just dying like it does right now. There's no generalized approach that will tell us what will fit on what galaxy, because... well, everything is moddable. So things need to be robust enough to either just say "I give up, here's all the telium you get," or "hey I guess we'll start doubling up telium somewhere else, I dunno." So that it's not a true error, per se.

Badger, in this particular thing it would be case-by-case, so just dealing with the telium would be the one fix. However, I wouldn't go there just yet.

3. Then again, some things are going to just be unavoidable, like if the player seeds 40 Dyson Spheres and there just aren't enough planets free after other stuff is seeded for the AIs, etc. So in that situation, the mapgen is going to need to basically remember the errors that happened, and show those rather than starting the game in an errored state. This one is on me to implement, and I'd kind of like to do this prior to any fixes you make to telium, Badger, mainly because there's a repro case at the moment.

This is kind of a compromise in terms of what the game used to do (regenerate all the bloody time, which would be problematic when you make really complex games or more complex factions get added in terms of their seeding logic), and not giving you nasty surprises once you actually start the game. It's something I overlooked, but this is part of why it's all beta right now. Never would have thought of that!

Sooo... my main question right now for you, Ovalcircle: do you have any steps to reliably repro this with a minimum number of steps for me? I'll try to fix this without a simple repro either way, but might not get it the first time if I'm trying to set up something too complicated.


Anyhow, I think a hybrid approach ought to get this well. Cheers!

Ovalcircle

May 17, 2019 9:00 pm

reporter   ~0051677

Uh,yeah. Just set the map to 30 planets, type X. Then add intensity 10 Macrophage (so it will attempt to seed 10 Teliums, which it can’t). Press start, then the game will explode.

x4000Bughunter

May 17, 2019 9:02 pm

administrator   ~0051679

Perfect, that's easy enough! I didn't know if the AI Civil War or similar also needed to be on. Will investigate.

Ovalcircle

May 17, 2019 9:08 pm

reporter   ~0051685

If that doesn’t work (because I had two AI’s enabled) just set it to ten planets. That definitely won’t work.

x4000Bughunter

May 17, 2019 9:56 pm

administrator   ~0051687

Going to call this one done for now. I was able to duplicate it, and it works vastly better now. The other two issues that I brought up are potential things to look at, but it's not game-breaking or anything. Coming up:

* If there are errors during map generation (sometimes this is "valid", in the case of things like too many factions for the available planets), it now pops up a harmless but hopefully-informative error message log and doesn't just start the game in an invalid state.
** Long-term obviously we want it to not be in a position to generate an error like this, but realistically modders can do all sorts of things and we need errors to happen gracefully.
** Have tested this and it works as expected. However, it requires that all errors during mapgen use a new method which is Engine_AIW2.Instance.LogErrorDuringCurrentMapGen() if it would previously have used ArcenDebugging.ArcenDebugLog( Verbosity.ShowAsError ) or equivalent. If there are any remaining cases of the latter, then those would not get caught by this new code.

* Previously there was a bug where if you set the number of planets in the lobby, but then just hit Start Game without hitting Generate Map first, it would not actually use the correct number of planets.
** This was... kinda old, kinda-new. If there isn't enough room to seed whatever factions you have selected, it's now super duper fast to change the number of planets and hit start game and see if it works, etc. Without slowing anything else down in the lobby responsiveness in general.

x4000Bughunter

May 17, 2019 9:56 pm

administrator   ~0051688

And thanks, by the way!

Ovalcircle

May 17, 2019 10:22 pm

reporter   ~0051691

Happy to help.

Issue History

Date Modified Username Field Change
May 16, 2019 7:17 pm Ovalcircle New Issue
May 16, 2019 7:17 pm Ovalcircle File Added: ArcenDebugLog.txt
May 16, 2019 7:17 pm Ovalcircle File Added: ErrorsReportedByEngine.txt
May 16, 2019 7:17 pm Ovalcircle File Added: 20190516190728_1.jpg
May 16, 2019 7:25 pm Ovalcircle Note Added: 0051639
May 16, 2019 11:10 pm BadgerBadger Note Added: 0051641
May 16, 2019 11:10 pm BadgerBadger Assigned To => x4000Bughunter
May 16, 2019 11:10 pm BadgerBadger Status new => assigned
May 17, 2019 12:57 am Ovalcircle Category Bug - Gameplay => Crash/Exception
May 17, 2019 12:57 am Ovalcircle Description Updated View Revisions
May 17, 2019 8:56 pm x4000Bughunter Note Added: 0051675
May 17, 2019 8:59 pm x4000Bughunter Relationship added child of 0020151
May 17, 2019 9:00 pm Ovalcircle Note Added: 0051677
May 17, 2019 9:02 pm x4000Bughunter Note Added: 0051679
May 17, 2019 9:08 pm Ovalcircle Note Added: 0051685
May 17, 2019 9:56 pm x4000Bughunter Status assigned => resolved
May 17, 2019 9:56 pm x4000Bughunter Resolution open => fixed
May 17, 2019 9:56 pm x4000Bughunter Fixed in Version => BETA 0.861 Strength Of Remains
May 17, 2019 9:56 pm x4000Bughunter Note Added: 0051687
May 17, 2019 9:56 pm x4000Bughunter Note Added: 0051688
May 17, 2019 10:22 pm Ovalcircle Note Added: 0051691